Gallery Platform API
Reference

List an invoice's share links

Lists the public links minted for an invoice, newest first, with their send/open history.

GET
/gallery/invoices/{id}/shares

Lists the public links minted for an invoice, newest first, with their send/open history.

Authorization

bearerAuth sales:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: sales:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "invoice_id": "string",      "expires_at": "string",      "revoked_at": "string",      "has_passcode": true,      "sent_at": "string",      "first_viewed_at": "string",      "last_viewed_at": "string",      "view_count": -9007199254740991,      "created_at": "string"    }  ]}